%define name libcaca
%define version 0.99
%define pre beta19
%define release %mkrel 0.%pre.1
%define build_slang 1

%define major 0
%define libname %mklibname caca %major
%define develname %mklibname -d caca

Name: %{name}
Version: %{version}
Release: %{release}
URL: http://libcaca.zoy.org/
Source: http://libcaca.zoy.org/attachment/wiki/libcaca/%{name}-%{version}.%pre.tar.xz

License: WTFPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: X11-devel, libncursesw-devel >= 5
%if %build_slang
BuildRequires: libslang-devel
%endif
BuildRequires: imlib2-devel
BuildRequires: libpango-devel
BuildRequires: mesa-devel
BuildRequires: doxygen, tetex-latex, tetex-dvips
BuildRequires: automake1.7
%ifnarch %mips %arm
BuildRequires: mono
%endif
Obsoletes:  	%name < %version

Summary: Text mode graphics library
%description
libcaca is the Colour AsCii Art library. It provides high level functions
for colour text drawing, simple primitives for line, polygon and ellipse
drawing, as well as powerful image to text conversion routines.

%package -n %libname
Summary: Text mode graphics library
Group: System/Libraries

%description -n %libname
libcaca is the Colour AsCii Art library. It provides high level functions
for colour text drawing, simple primitives for line, polygon and ellipse
drawing, as well as powerful image to text conversion routines.


%package -n %develname
Summary: Development files for libcaca
Group: Development/Libraries
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Requires: %libname = %version
Obsoletes: %mklibname -d caca 0

%description -n %develname
libcaca is the Colour AsCii Art library. It provides high level functions
for colour text drawing, simple primitives for line, polygon and ellipse
drawing, as well as powerful image to text conversion routines.

This package contains the header files and static libraries needed to
compile applications or shared objects that use libcaca.

%package -n caca-utils
Summary: Text mode graphics utilities
Group: Graphics
%description -n caca-utils
This package contains utilities and demonstration programs for libcaca, the
Colour AsCii Art library.

cacaview is a simple image viewer for the terminal. It opens most image
formats such as JPEG, PNG, GIF etc. and renders them on the terminal using
ASCII art. The user can zoom and scroll the image, set the dithering method
or enable anti-aliasing.

cacaball is a tiny graphic program that renders animated ASCII metaballs on
the screen, cacafire is a port of AALib's aafire and displays burning ASCII
art flames, cacamoir animates colourful moire circles and cacaplas displays
an old school plasma effect.

cacademo is a simple application that shows the libcaca rendering features
such as line and ellipses drawing, triangle filling and sprite blitting.

%ifnarch %mips %arm
%package -n caca-sharp
Summary: C# binding for libcaca
Group: Development/Other

%description -n caca-sharp
C# binding for libcaca
%endif

%package -n ruby-caca
Summary: Ruby binding for libcaca
Group: Development/Ruby

%description -n ruby-caca
Ruby binding for libcaca

%package -n	python-caca
Summary:	Python binding for libcaca
Group:		Development/Python

%description -n	python-caca
Python binding for libcaca

%prep
%setup -q -n %name-%version.%pre
sed -i s/AM_CONFIG_HEADER/AC_CONFIG_HEADER/ configure.ac

%build
autoreconf -fi
%configure2_5x \
%if %build_slang
  --enable-slang \
%else
  --disable-slang \
%endif
--enable-ncurses --enable-x11 --enable-imlib2 --enable-doc --enable-plugins --disable-java --disable-static

%make

%install
rm -rf %{buildroot} installed-docs
%makeinstall_std

rm -f %{buildroot}%{ruby_sitearchdir}/*.la

%multiarch_binaries %buildroot%_bindir/caca-config

mv %{buildroot}%{_datadir}/doc/libcaca-dev installed-docs
mkdir %{buildroot}%{_datadir}/doc/caca-utils-%{version}

#we don't want these
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*
%_libdir/caca/lib*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc installed-docs/html NEWS NOTES
%{_bindir}/cacaclock
%{_bindir}/caca-config
%_bindir/*/caca-config
%{_includedir}/*
%{_mandir}/man1/caca-config.1*
%{_mandir}/man3/*
%_libdir/pkgconfig/*.pc
%_libdir/lib*.so
%_libdir/caca/lib*.so

%files -n caca-utils
%defattr(-,root,root)
%doc README THANKS AUTHORS
%{_bindir}/cacademo
%{_bindir}/cacafire
%{_bindir}/cacaplay
%{_bindir}/cacaserver
%{_bindir}/cacaview
%_bindir/img2txt
%{_datadir}/libcaca/
%{_mandir}/man1/cacademo.1*
%{_mandir}/man1/cacafire.1*
%{_mandir}/man1/cacaplay.1*
%{_mandir}/man1/cacaserver.1*
%{_mandir}/man1/cacaview.1*
%_mandir/man1/img2txt.1*

%ifnarch %mips %arm
%files -n caca-sharp
%{_libdir}/mono/caca-sharp*
%{_libdir}/mono/gac/caca-sharp
%endif

%files -n ruby-caca
#%{ruby_sitelibdir}/caca.rb
#%{ruby_sitearchdir}/*.so
#%exclude %{ruby_sitearchdir}/*a

%files -n python-caca
%{python2_sitelib}/caca

%changelog
* Tue Apr 10 2018 bb2 <bb2> 0.99.0.beta19.1pclos2018
- new version

* Tue Nov 03 2009 Texstar <texstar at gmail.com> 0.99-0.beta16.3pclos2010
- back out slang2

* Fri Oct 30 2009 Texstar <texstar at gmail.com> 0.99-0.beta16.2pclos2010
- rebuild for libslang2

